from importlib.machinery import SourceFileLoader
from importlib.util import spec_from_loader, module_from_spec
loader = SourceFileLoader('func', 'tests/dictionaries/../eosfunc/test.py')
spec = spec_from_loader(loader.name, loader)
func = module_from_spec(spec)
loader.exec_module(func)
for key, value in dict(locals()).items():
    if key != ['SourceFileLoader', 'func']:
        setattr(func, key, value)
try:
    from tiramisu3 import *
except:
    from tiramisu import *
from rougail.tiramisu import ConvertDynOptionDescription
option_3 = StrOption(properties=frozenset({'mandatory', 'normal'}), name='varname', doc='No change', multi=True, default=['a'], default_multi='a')
option_2 = OptionDescription(name='general', doc='général', properties=frozenset({'normal'}), children=[option_3])
option_1 = OptionDescription(name='rougail', doc='rougail', children=[option_2])
option_6 = StrOption(properties=frozenset({'mandatory', 'normal'}), name='varname', doc='No change', multi=True, default=['a'], default_multi='a')
option_5 = OptionDescription(name='general', doc='général', properties=frozenset({'normal'}), children=[option_6])
option_8 = StrOption(properties=frozenset({'normal'}), name='mode', doc='mode', multi=False)
option_7 = ConvertDynOptionDescription(name='ejabberd', doc='ejabberd', properties=frozenset({'normal'}), suffixes=Calculation(func.calc_value, Params((ParamOption(option_6)))), children=[option_8])
option_4 = OptionDescription(name='extra', doc='extra', children=[option_5, option_7])
option_0 = OptionDescription(name='baseoption', doc='baseoption', children=[option_1, option_4])
