# -*- coding: utf-8 -*-
"""
fichier de configuration pour rougail

"""
from os.path import join, abspath, dirname


ROUGAILROOT = '/var/rougail'
DTDDIR = join(dirname(abspath(__file__)), 'data')


Config = {'rougailroot': ROUGAILROOT,
          'patch_dir': join(ROUGAILROOT, 'patches'),
          'manifests_dir': join(ROUGAILROOT, 'manifests'),
          'templates_dir': join(ROUGAILROOT, 'templates'),
          'dtdfilename': join(DTDDIR, 'rougail.dtd'),
          'dtddir': DTDDIR,
          'variable_namespace': 'rougail',
          }
