from importlib.machinery import SourceFileLoader
from importlib.util import spec_from_loader, module_from_spec
loader = SourceFileLoader('func', 'tests/dictionaries/../eosfunc/test.py')
spec = spec_from_loader(loader.name, loader)
func = module_from_spec(spec)
loader.exec_module(func)
for key, value in dict(locals()).items():
    if key != ['SourceFileLoader', 'func']:
        setattr(func, key, value)
try:
    from tiramisu3 import *
except:
    from tiramisu import *
from rougail.tiramisu import ConvertDynOptionDescription
option_3 = StrOption(properties=frozenset({'mandatory', 'normal'}), name='mode_conteneur_actif', doc='No change', multi=False, default='non')
option_4 = StrOption(properties=frozenset({'mandatory', 'normal'}), name='condition', doc='condition', multi=False, default='oui')
option_6 = StrOption(properties=frozenset({'mandatory'}), name='leader', doc='leader', multi=True, default=['a'])
option_7 = StrOption(properties=frozenset({'force_default_on_freeze', 'frozen', 'hidden', 'normal', Calculation(calc_value, Params(ParamValue('disabled'), kwargs={'condition': ParamOption(option_4, todict=True), 'expected': ParamValue('oui')}))}), name='follower1', doc='follower1', multi=True, default=Calculation(func.calc_val, Params((), kwargs={'valeur': ParamValue("valfill")})))
option_8 = StrOption(properties=frozenset({'normal'}), name='follower2', doc='follower2', multi=True)
option_5 = Leadership(name='leader', doc='leader', properties=frozenset({'normal'}), children=[option_6, option_7, option_8])
option_2 = OptionDescription(name='general', doc='general', properties=frozenset({'normal'}), children=[option_3, option_4, option_5])
option_1 = OptionDescription(name='rougail', doc='rougail', children=[option_2])
option_13 = StrOption(name='group', doc='group', multi=False, default='root')
option_14 = StrOption(name='mode', doc='mode', multi=False, default='0644')
option_15 = StrOption(name='name', doc='name', multi=False, default='/etc/mailname')
option_16 = StrOption(name='owner', doc='owner', multi=False, default='root')
option_17 = StrOption(name='source', doc='source', multi=False, default='mailname')
option_18 = BoolOption(name='templating', doc='templating', multi=False, default=True)
option_19 = BoolOption(name='activate', doc='activate', multi=False, default=True)
option_12 = OptionDescription(name='mailname', doc='mailname', children=[option_13, option_14, option_15, option_16, option_17, option_18, option_19])
option_11 = OptionDescription(name='files', doc='files', children=[option_12])
option_10 = OptionDescription(name='test', doc='test', children=[option_11])
option_10.impl_set_information("manage", True)
option_9 = OptionDescription(name='services', doc='services', properties=frozenset({'hidden'}), children=[option_10])
option_0 = OptionDescription(name='baseoption', doc='baseoption', children=[option_1, option_9])
